/*******************************************************************************
				Neoinput
				========

		Copyright (C) 2010 Paul Kocialkowski

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*******************************************************************************/

#include <stdio.h>
#include <stdlib.h>

#ifndef CONFIG_H
#define CONFIG_H

#define SOFTWARE "neoinput"
#define VERSION "0.1"
#define DESCRIPTION "use your Neo FreeRunner as an input device !"
#define COPYRIGHT "Copyright (C) 2010 Paul Kocialkowski, GNU GPL 3.0"

#define INPUT_TYPE_ERROR	0
#define INPUT_TYPE_TOUCH	1
#define INPUT_TYPE_TOUCH_ROTATE	2
#define INPUT_TYPE_ACCEL	3
#define INPUT_TYPE_MULTIMEDIA	4

#define DEFAULT_IP	"192.168.1.200"
#define DEFAULT_PORT	3334

#define STATUS_ERROR	0
#define STATUS_OK	1

#define POLL_TIMEOUT 250

#define DEVICE_TOUCH		"/dev/input/event1"
#define DEVICE_ACCEL		"/dev/input/event3"
#define DEVICE_BUTTON_AUX	"/dev/input/event4"
#define DEVICE_BUTTON_POWER	"/dev/input/event0"

#endif
